Skip to main content
`Ctrl`+`K`

# NEPSetJacobian

Sets the function to compute the Jacobian \(T'(\lambda)\) as well as the location to store the matrix.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetJacobian(NEP nep,Mat J,NEPJacobianFn *jac,void *ctx)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- J - Jacobian matrix

- jac - Jacobian evaluation routine (if `NULL` then `NEP` retains any previously set value), see `NEPJacobianFn` for the calling sequence

- ctx - [optional] user-defined context for private data for the Jacobian evaluation routine (may be `NULL`) (if `NULL` then `NEP` retains any previously set value)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetFunction()`, `NEPGetJacobian()`

## Level

beginner

## Location

src/nep/interface/nepbasic.c

## Examples

src/nep/tutorials/ex54f.F90
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex21.c
src/nep/tutorials/ex27f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages